<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Supplier_Payment_Memo_DataType StructType
 * Meta information extracted from the WSDL
 * - documentation: Supplier Payment Memo Data
 * @subpackage Structs
 */
class Supplier_Payment_Memo_DataType extends AbstractStructBase
{
    /**
     * The Payment_Memo
     * Meta information extracted from the WSDL
     * - documentation: Memo associated with the payment.
     * - minOccurs: 0
     * @var string
     */
    public $Payment_Memo;
    /**
     * Constructor method for Supplier_Payment_Memo_DataType
     * @uses Supplier_Payment_Memo_DataType::setPayment_Memo()
     * @param string $payment_Memo
     */
    public function __construct($payment_Memo = null)
    {
        $this
            ->setPayment_Memo($payment_Memo);
    }
    /**
     * Get Payment_Memo value
     * @return string|null
     */
    public function getPayment_Memo()
    {
        return $this->Payment_Memo;
    }
    /**
     * Set Payment_Memo value
     * @param string $payment_Memo
     * @return \StructType\Supplier_Payment_Memo_DataType
     */
    public function setPayment_Memo($payment_Memo = null)
    {
        // validation for constraint: string
        if (!is_null($payment_Memo) && !is_string($payment_Memo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($payment_Memo, true), gettype($payment_Memo)), __LINE__);
        }
        $this->Payment_Memo = $payment_Memo;
        return $this;
    }
}
